C*******************************************************************
C
C
        SUBROUTINE DRPLT(A,N,Z,DEN,IPLOT,TITLE)
C
C        CREATES AN OUTPUT FILE ON UNIT IPLOT SUITABLE FOR PLOTTING
C        HISTOGRAMS OF THE RESULTS USING DRPLOT
C
C        PLOT 1 IS DOSE VS DEPTH IN CM
C
C        PLOT 2 IS DOSE VS DEPTH IN G/CM**2
C
C        A(I)        DOSE BETWEEN Z(I) AND Z(I+1)
C        N        NUMBER OF POINTS TO BE PLOTTED
C        DEN        DENSITY IN G/CM**3 BETWEEN Z(I) AND Z(I+1)
C        TITLE        FIRST 60 CHARACTERS OF TITLE(LIMITED BY DRPLOT)
C
C        DOSE X 10**10 IS PLOTTED TO GET AROUND BUG IN DRPLOT SCALING
C
C
C        DAVE ROGERS MAY 17 1983
C
C***********************************************************************
      BYTE TITLE(60)
      REAL A(N),Z(N+1),DEN(N),ZGCM2(100)

      WRITE(IPLOT,5) 1,1
5     FORMAT('P',I12/'D',I12)
      WRITE(IPLOT,10) FLOAT(2*N+1), Z(1), (Z(J),Z(J),J=2,N+1)
10    FORMAT(  (5E15.5,','))
      WRITE(IPLOT,10) FLOAT(2*N+1), (A(J)*1.E10,A(J)*1.E10,J=1,N),0.0

      WRITE(IPLOT,280)
280   FORMAT('L           1'/T11,'-1',T23,'40',T36,'6',T46,
     1 '150',T60, '0'/'DEPTH Z (cm)'/)

      WRITE(IPLOT,290)
290   FORMAT('L           2'/T11,'50',T23,'-1',T36,'6',T46,
     1 '100',T60, '1'/'ABSORBED DOSE/FLUENCE',
     2' 10^-10~Gray cm^2~'/)

      WRITE(IPLOT,300)TITLE
300   FORMAT('L           3'/T10,' -1',T22,'720',T36,'6',T46,
     1 '100',T60, '0'/60A1)
C
C        NOW PLOT IN TERMS OF G/CM**2
C
      IF(N.GT.99) RETURN
C
      WRITE(IPLOT,5) 2,1
      ZGCM2(1) = Z(1)
C
      DO 400 J=2,N+1
400   ZGCM2(J)=ZGCM2(J-1) +(Z(J)-Z(J-1))*DEN(J-1)

      WRITE(IPLOT,10) FLOAT(2*N+1),ZGCM2(1),(ZGCM2(J),ZGCM2(J),J=2,N+1)
      WRITE(IPLOT,10) FLOAT(2*N+1),(A(J)*1.E10,A(J)*1.E10,J=1,N),0.0
      WRITE(IPLOT,480)
480   FORMAT('L           1'/T11,'-1',T23,'40',T36,'6',T46,
     1 '150',T60, '0'/'DEPTH Z (g/cm^2~)'/)
      WRITE(IPLOT,290)
      WRITE(IPLOT,300) TITLE
      RETURN
      END
