cls
@echo off
rem
rem ================================================================== 
rem                MAKEPEGS.BAT (MS-DOS version)                
rem              MS-DOS BATCH FILE for MORTRAN/FORTRAN/LINK     
rem                     Version: NOV 15 1995 08:00                     
rem ================================================================== 
rem
rem The MORTRAN3 pre-compiler is a product of Stanford University.     
rem Questions about this MAKEPEGS.BAT can be addressed to 
rem suzan_walker@lanzl.com        
rem
rem *******************************************************************
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
rem Initialization                                                     
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
rem *******************************************************************
rem
echo ͻ
echo   MAKEPEGS - MS-DOS VERSION                                          
echo                                                                      
echo              MS-DOS batch file to MORTRAN/FORTRAN/LINK PEGS4         
echo              First time user, inquiries?                             
echo    Alex Bielajew                         Suzan Walker                
echo    Division of Physics                   Lanzl Institute of          
echo    National Research Council    OR        Medical Physics            
echo    Ottawa, CANADA                        3876 Bridge Way N, Suite 300
echo    K1A 0R6                               Seattle, WA 98103           
echo                                          U.S.A.                      
echo    Tel: 613-993-2197                     Tel: 206-545-1141           
echo    E-MAIL: alex@irs.phy.nrc.ca           FAX: 206-545-1347           
echo    FAX: 613-952-9865                     email: suzan@lanzl.com      
echo ͼ
rem
rem The home of EGS4 may be changed by editing the file "egs4env.bat"
rem located in the directory where you initially installed
rem EGS4.
rem
if "%HEN_HOUSE%NULL"=="NULL" call EGS4ENV
if "%HEN_HOUSE%NULL"=="NULL" goto No_home
echo .
echo Mortran source code...................PEGS4.mor
if "%1"=="debug"     echo Debug option..............................ON
     if "Edbg_run%NULL"=="NULL" goto No_debug
if not "%1"=="debug" echo Debug option..............................OFF
echo .
echo If your Fortran compiler is Microsoft Fortran you must first copy
echo the file MICROSFT.MAC to MACHINE.MAC in this subdirectory to
echo avoid certain Microsoft compile errors.
echo .
echo Type Control-C to quit, Return to continue
pause
cls
rem
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem Erase various files that may exist from a previous compilation.    
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
rem
%HEN_HOUSE%\$dattim
echo Creating PEGS4 $MORTJOB.MOR...
echo .
if exist $mortjob.mor del $mortjob.mor
if exist pegs4.log del pegs4.log
copy machine.mac $mortjob.mor  > pegs4.log
copy $mortjob.mor + pegs4.mor > pegs4.log
rem
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem Mortran3 step - create source's FOR from source's .mor
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem
%HEN_HOUSE%\$dattim
echo Mortran compiling pegs4 $MORTJOB.MOR...
echo .
if exist $mortjob.lst del $mortjob.lst
if exist $mortjob.for del $mortjob.for
if exist pegs4.lst       del pegs4.lst
if exist pegs4.for       del pegs4.for
if exist mortran.log  del mortran.log
copy %HEN_HOUSE%\egs4\mortran3\mortran3.dat mortran3.dat > mortran.log
%HEN_HOUSE%\egs4\mortran3\mortran3
if errorlevel 1 goto M_error
del mortran3.dat
if exist $mortjob.lst rename $mortjob.lst pegs4.tmp
if exist $mortjob.for rename $mortjob.for pegs4.for
rem
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem FORTRAN compilation step - FORTRAN compile source's .for
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem
%HEN_HOUSE%\$dattim
echo Fortran compiling pegs4 $MORTJOB.FOR...
echo .
if exist pegs4.lis       del pegs4.lis
if exist pegs4.obj       del pegs4.obj
if exist pegs4.sld       del pegs4.sld
if exist fortran.log  del fortran.log
if not "%1"=="debug" f77l3 pegs4.for  > fortran.log
if "%1"=="debug"     f77l3 pegs4.for /H/B/W/S/L/I/X  > fortran.log
if errorlevel 1 goto F_error
rename pegs4.lst pegs4.lis
rename pegs4.tmp pegs4.lst
rem
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem Link step - create source's executable file from source code .obj
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem
%HEN_HOUSE%\$dattim
echo Linking pegs4 $MORTJOB.OBJ...
echo .
if exist pegs4.exe    del pegs4.exe
if exist pegs4.map    del pegs4.map
if exist link.log  del link.log
386link pegs4.obj -sym > link.log
if errorlevel 1 goto L_error
rem
rem *******************************************************************
rem ------------------------------------------------------------------ 
rem The end                                                            
rem ------------------------------------------------------------------ 
rem *******************************************************************
rem
%HEN_HOUSE%\$dattim
echo Compilation of pegs4 completed successfully.
echo .
goto end

rem
rem *******************************************************************
rem ------------------------------------------------------------------ 
rem Error Handling                                                            
rem ------------------------------------------------------------------ 
rem *******************************************************************
rem
:M_error
%HEN_HOUSE%\$dattim
echo Error occured in Mortran Step of pegs4 - Quitting early.
echo .
goto end
rem
:F_error
%HEN_HOUSE%\$dattim
echo Error occured in Fortran Step of pegs4 - Quitting early.
echo .
goto end
rem
:L_error
%HEN_HOUSE%\$dattim
echo Error occured in Link Step of pegs4 - Quitting early.
echo .
goto end
rem
:No_home
echo Error! Environment variable "HEN_HOUSE" is not set!
echo (see READMEOR.DIE for more information).
rem 
:No_debug
echo Error! Environment variable "Edbg_run" is not set!
echo (see READMEOR.DIE for more information).
rem
:end
