cls
@echo off
rem
rem ================================================================== 
rem                 PEGS4B.BAT (MS-DOS version)                
rem                   MS-DOS BATCH FILE for PEGS4 RUNS
rem                     Version: NOV 15, 1995                     
rem ================================================================== 
rem
rem The PEGS4 Code System is a product of the SLAC Radiation Physics Group
rem and the NRCC Ionizing Radiation Standards group.  Questions about this
rem PEGS4B.BAT suzan_walker@lanzl.com
rem some alterations by H.Eleveld
rem
rem *******************************************************************
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
rem Initialization                                                     
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
rem *******************************************************************
rem
echo ͻ
echo   PEGS4B  -  MS-DOS VERSION                                          
echo                                                                      
echo              MS-DOS batch file to run the PEGS4 code system          
echo              First time user, inquiries?                             
echo    Alex Bielajew                         Suzan Walker                
echo    Division of Physics                   Lanzl Institute of          
echo    National Research Council    OR        Medical Physics            
echo    Ottawa, CANADA                        3876 Bridge Way N, Suite 300
echo    K1A 0R6                               Seattle, WA 98103           
echo                                          U.S.A.                      
echo    Tel: 613-993-2197                     Tel: 206-545-1141           
echo    E-MAIL: alex@irs.phy.nrc.ca           FAX: 206-545-1347           
echo    FAX: 613-952-9865                     email: suzan@lanzl.com      
echo ͼ
rem
echo .
echo Input file................................%1.inp
set debug=false
set null=false
if "%HEN_HOUSE%NULL"=="NULL" call egs4env
if "%HEN_HOUSE%NULL"=="NULL" goto No_home
if "%2"=="debug" set null==true  
if "%2"=="DEBUG" set null==true  
if "%2"==" " set null==true
if %null%==false   echo Density effect correction input file.....%2.def
if "%3"=="debug" set debug=true
if "%3"=="DEBUG" set debug=true     
if "%2"=="debug" set debug=true
if "%2"=="DEBUG" set debug=true     
if %debug%==true     echo Debug option..............................ON
if %debug%==false    echo Debug option..............................OFF
echo .
echo Type Control-C to quit, Return to continue
pause
cls
rem
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem Check that all the inputs exist.
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem
if not exist pegs4.exe           goto No_user_code
if not exist inputs\%1.inp       goto No_input_file
if not exist pgs4pepr.dat        goto No_data_file
if not exist pgs4form.dat        goto No_data_file
if not exist brem_cor\aprime.dat          goto No_data_file
rem
%HEN_HOUSE%\$dattim
echo Initializing...
echo .
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
rem Erase various files that may exist from a previous run.    
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
if exist %1.log     del %1.log
if exist temp.log   del temp.log
if exist user.inp   del user.inp
if exist user.lst   del user.lst
if exist user.dat   del user.dat
if exist user.err   del user.err
if exist user.inp   del user.inp
if exist user.plt   del user.plt
if exist user.def   del user.def
rem
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
rem Copy the necessary inputs.
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
if exist inputs\%1.inp copy inputs\%1.inp user.inp > temp.log
if exist brem_cor\aprime.dat copy brem_cor\aprime.dat aprime.dat >temp.log
if exist dens_cor\elements\%2.def copy dens_cor\elements\%2.def user.def > temp.log
if exist dens_cor\compound\%2.def copy dens_cor\compound\%2.def user.def > temp.log
rem
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem Run the user code.
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem
%HEN_HOUSE%\$dattim
echo Running PEGS4...
echo .
if %debug%==true      sold3 pegs4
if %debug%==false     pegs4 > %1.log
rem
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem Finish - Copy output files.
rem - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
rem
%HEN_HOUSE%\$dattim
echo Finishing up...
echo .
if exist user.lst copy user.lst %1.lst > temp.log
if exist user.dat  copy user.dat data\%1.dat > temp.log
if exist user.err  copy user.err %1.err > temp.log
if exist user.plt copy user.plt %1.plt  > temp.log
if exist brem_cor\aprime.dat del aprime.dat
if exist temp.log  del temp.log
rem
rem *******************************************************************
rem ------------------------------------------------------------------ 
rem The end                                                            
rem ------------------------------------------------------------------ 
rem *******************************************************************
rem
%HEN_HOUSE%\$dattim
echo Successful run, no errors detected.
echo .
goto end
rem
rem *******************************************************************
rem ------------------------------------------------------------------ 
rem Error Handling                                                            
rem ------------------------------------------------------------------ 
rem *******************************************************************
rem
:No_user_code
%HEN_HOUSE%\$dattim
echo Error. No PEGS4.exe executable file. Compile PEGS4 and try again.
echo .
goto end
rem
:No_input_file
%HEN_HOUSE%\$dattim
echo Error. No %1.inp input file, rename or create, try again.
echo .
goto end
rem
:No_data_file
%HEN_HOUSE%\$dattim
echo Error. Missing PGS4PEPR.DAT, PGS4FORM.DAT, or APRIME.DAT. 
echo        Obtain and try again.
echo .
goto end
rem
goto end
rem
:No_home
echo Error. No "HEN_HOUSE" environment variable set, try again.
echo .
goto end
rem
:No_debug
echo Error. No "Edbg_run" environment variable set, try again.
echo .
goto end
rem
:end

